Subject: bug#20068: 24.4.91; Too many warnings building Emacs

From: Glenn Morris <[email-masked]>
Date: Mon, 09 Mar 2015 20:31:08 -0400

If you get that many warnings, you must be doing a bootstrap, which is
unnecessary and not the documented procedure for building (pre)releases.
Following the build instructions gets you 37 warnings, which should drop
to zero with Emacs 25.1 tarfiles where no lisp files should be recompiled.
So for pretests this issue is already nonexistent/solved.

If you bootstrap or build from a VCS checkout then yes, you get a lot of
warnings. History shows that no, we cannot meaningfully reduce the
number. New classes of warnings get added faster than the existing ones
can be removed. And in some cases the desire to be compatible with
multiple Emacs versions makes warnings inevitable (without excessive
jumping through hoops). We are all aware the warnings exist, I don't
think a bug report about it will make them go away.

Lisp compilation errors are never (good enough) platform specific and
can always be ignored by non-developers.